One row per creator with GMV, orders, commission and refunds for the range, by GMV
GET
/api/public/v1/tik_tok_shop/creatorsConnectorAnswers empty results in the documented shape until the brand switches on this connection.
Operation id listTikTokShopCreators
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/creators?start_date=2026-11-01&end_date=2026-11-01" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| start_date | query | string (date) | required |
| end_date | query | string (date) | required |
| page | query | integer | Default 1 |
| per_page | query | integer | Default 20 |
| search | query | string | |
| campaign_id | query | integer | |
| creator_id | query | integer | |
| platform | query | string | One of growiallnon_growi Default growi |
| organization_id | query | integer | |
| external_creator_id | query | string | |
| connected_account_id | query | integer | |
| gmv_min | query | number | |
| gmv_max | query | number | |
| all_contracts | query | string | One of true |
| exclude_contests | query | string | One of true |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| additional_data | object | required |
| additional_data.currency | string, nullable | |
| additional_data.currency_symbol | string | |
| additional_data.total_commission | number | |
| additional_data.total_gmv | number | |
| additional_data.total_items_refunded | integer | |
| additional_data.total_refunded_amount | number | |
| additional_data.total_sku_orders | integer | |
| additional_data.total_units_sold | integer | |
| data | array of object | required |
| data[].[].affiliate_avatar_url | string | |
| data[].[].affiliate_email | string | |
| data[].[].affiliate_id | integer, nullable | |
| data[].[].affiliate_name | string | |
| data[].[].connected_account | object | |
| data[].[].connected_account.id | integer, nullable | |
| data[].[].connected_account.profile_share_url | string | |
| data[].[].connected_account.username | string | |
| data[].[].external_id | string | |
| data[].[].id | integer, nullable | |
| data[].[].total_commission | number | |
| data[].[].total_commission_formatted | string | |
| data[].[].total_gmv | number | |
| data[].[].total_gmv_formatted | string | |
| data[].[].total_items_refunded | integer | |
| data[].[].total_items_refunded_formatted | string | |
| data[].[].total_live_gmv | number | |
| data[].[].total_live_gmv_formatted | string | |
| data[].[].total_posts_with_gmv | integer | |
| data[].[].total_posts_with_gmv_formatted | string | |
| data[].[].total_product_card_gmv | number | |
| data[].[].total_product_card_gmv_formatted | string | |
| data[].[].total_refunded_amount | number | |
| data[].[].total_refunded_amount_formatted | string | |
| data[].[].total_sku_orders | integer | |
| data[].[].total_sku_orders_formatted | string | |
| data[].[].total_units_sold | integer | |
| data[].[].total_units_sold_formatted | string | |
| meta | object | required |
| meta.current_page | integer | |
| meta.next_page | integer, nullable | |
| meta.prev_page | integer, nullable | |
| meta.row_count | integer | |
| meta.total_pages | integer |
Example
{
"additional_data": {
"currency": "usd",
"currency_symbol": "string",
"total_commission": 125.5,
"total_gmv": 125.5,
"total_items_refunded": 3,
"total_refunded_amount": 125.5,
"total_sku_orders": 3,
"total_units_sold": 3
},
"data": [
{
"affiliate_avatar_url": "https://example.com/p/1",
"affiliate_email": "creator@example.com",
"affiliate_id": 1024,
"affiliate_name": "Example name",
"connected_account": {
"id": 1024,
"profile_share_url": "https://example.com/p/1",
"username": "Example name"
},
"external_id": "string",
"id": 1024,
"total_commission": 125.5,
"total_commission_formatted": "string",
"total_gmv": 125.5,
"total_gmv_formatted": "string",
"total_items_refunded": 3,
"total_items_refunded_formatted": "string",
"total_live_gmv": 125.5,
"total_live_gmv_formatted": "string",
"total_posts_with_gmv": 3,
"total_posts_with_gmv_formatted": "string",
"total_product_card_gmv": 125.5,
"total_product_card_gmv_formatted": "string",
"total_refunded_amount": 125.5,
"total_refunded_amount_formatted": "string",
"total_sku_orders": 3,
"total_sku_orders_formatted": "string",
"total_units_sold": 3,
"total_units_sold_formatted": "string"
}
],
"meta": {
"current_page": 1,
"next_page": 1,
"prev_page": 1,
"row_count": 3,
"total_pages": 1
}
}Errors: 401422with an error and usually a message. See errors.
Example values are made up from each field's type and name.